<?php


namespace Service;

use Util\Utilities;

class PrivacyPolicy
{
    private $fileServerFilesUrl;

    private $conn;

    /**
     * PrivacyPolicy constructor.
     * @param $fileServerFilesUrl
     */
    public function __construct($fileServerFilesUrl, \Doctrine\ORM\EntityManager $entityManager)
    {
        $this->conn = $entityManager->getConnection();
        $this->fileServerFilesUrl = $fileServerFilesUrl;
    }

    private function getParamsPrivacyPolicy(){
        $sql = <<<SQL
        SELECT
            DSARQPOLPRIV,
            DSARQPOLPRIVCLIE
        FROM PARAMGERAL
SQL;
        $stmt = $this->conn->prepare($sql);
        $stmt->execute();
        return $stmt->fetch();
    }

    public function findPrivacyPolicyByAuthentication()
    {
        $paramgeral = $this->getParamsPrivacyPolicy();
        if(empty($paramgeral) || empty($paramgeral['DSARQPOLPRIV'])) {
            return array(array('path' => Utilities::getPrivacyPolicyPathParameter(), 'status' => true));
        } else {
            return array(array('path' => $paramgeral['DSARQPOLPRIV'], 'status' => true));
        }
    }

    /**
     * @param $documentDefault
     * @param string $pdfPath
     * @return array
     */
    private function getDataset($documentDefault, $pdfPath = '')
    {
        $data = array();
        if($documentDefault) {
            $data[] = array(
                'pdfPath' => Utilities::getPrivacyPolicyPathParameter(),
                'documentDefault' => true
            );
        } else {
            $data[] = array(
                'pdfPath' => $pdfPath,
                'documentDefault' => false
            );
        }
        return $data;
    }

}